Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.exception
Class RedirectionException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.bea.netuix.application.exception.NetuixException
                  com.bea.netuix.application.exception.RedirectionException

All Implemented Interfaces
  Serializable

Direct Known Subclasses:
  CommunityAccessRedirectionException

    public class RedirectionException

extends NetuixException

This exception is thrown when the framework needs to affect a redirection, such as when the user does not have permission to view the current tree.

See Also
  Serialized Form

Constructor Summary
`RedirectionException(String redirectUri)` Constructs a basic `RedirectionException` with no detail message.
`RedirectionException(String s, String redirectUri)` Constructs a `RedirectionException` with the specified detail message.
`RedirectionException(String s, Throwable cause, String redirectUri)` Constructs a `RedirectionException` with the specified detail message and causal exception.
`RedirectionException(Throwable cause, String redirectUri)` Constructs a `RedirectionException` with the specified causal exception.

Method Summary
`String` | `getRedirectUri()` Retrieves the URI this exception should cause a redirection to, if specified.
`void` | `setRedirectUri(String redirectUri)` Sets the URI this exception should cause a redirection to.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RedirectionException

    public RedirectionException(String redirectUri)

  Constructs a basic `RedirectionException` with no detail message.

  Parameters
    `redirectUri` - the URI to redirect to. This can be null if the framework should take a default redirection action.

### RedirectionException

    public RedirectionException(String s,
                                String redirectUri)

  Constructs a `RedirectionException` with the specified detail message.

  Parameters
    `s` - The detail message
    `redirectUri` - the URI to redirect to. This can be null if the framework should take a default redirection action.

### RedirectionException

    public RedirectionException(String s,
                                Throwable cause,
                                String redirectUri)

  Constructs a `RedirectionException` with the specified detail message and causal exception.

  Parameters
    `s` - The detail message
    `cause` - The exception that caused this exception to be thrown
    `redirectUri` - the URI to redirect to. This can be null if the framework should take a default redirection action.

### RedirectionException

    public RedirectionException(Throwable cause,
                                String redirectUri)

  Constructs a `RedirectionException` with the specified causal exception.

  Parameters
    `cause` - The exception that caused this exception to be thrown
    `redirectUri` - the URI to redirect to. This can be null if the framework should take a default redirection action.

Method Detail

### getRedirectUri

    public String getRedirectUri()

  Retrieves the URI this exception should cause a redirection to, if specified.

  Returns
    The URI to redirect to, or null if the framework should take a default redirection action.

### setRedirectUri

    public void setRedirectUri(String redirectUri)

  Sets the URI this exception should cause a redirection to.

  Parameters
    `redirectUri` - The URI to redirect to, or null if the framework should take a default redirection action.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.